Package: org.apache.groovy.contracts

## [Java] Class AssertionViolation

- org.apache.groovy.contracts.AssertionViolation

-     public abstract class AssertionViolation
      extends AssertionError

  Abstract base class for all assertion violations.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AssertionViolation()`
    `protected AssertionViolation(Object o)`
    `protected AssertionViolation(boolean b)`
    `protected AssertionViolation(char c)`
    `protected AssertionViolation(int i)`
    `protected AssertionViolation(long l)`
    `protected AssertionViolation(float v)`
    `protected AssertionViolation(double v)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AssertionError` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### protected AssertionViolation()

    - #### protected AssertionViolation(Object o)

    - #### protected AssertionViolation(boolean b)

    - #### protected AssertionViolation(char c)

    - #### protected AssertionViolation(int i)

    - #### protected AssertionViolation(long l)

    - #### protected AssertionViolation(float v)

    - #### protected AssertionViolation(double v)